## kf6-kquickcharts 6.18.0+p24.04+vstable+git20250926.0933

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts

project(KQuickCharts VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

option(BUILD_EXAMPLES "Build example applications" OFF)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KF6QuickCharts
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/quickcharts_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfigVersion.cmake"
    SOVERSION 1
)

add_subdirectory(controls)
add_subdirectory(src)

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
    "KF6QuickChartsConfig.cmake.in"
    "KF6QuickChartsConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QuickChartsConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts
    COMPONENT Devel
)

install(EXPORT KF6QuickChartsTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QuickCharts"
        FILE KF6QuickChartsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kquickcharts (6.18.0+p24.04+vstable+git20250926.0933-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:33:07 +0000

kf6-kquickcharts (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:04:47 +0000

kf6-kquickcharts (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:26:43 +0000

kf6-kquickcharts (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:36:12 +0000

kf6-kquickcharts (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:59:16 +0000

kf6-kquickcharts (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:42:48 +0000

kf6-kquickcharts (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:09:09 +0000

kf6-kquickcharts (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:09:05 +0000

kf6-kquickcharts (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:35:49 +0000

kf6-kquickcharts (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:07:54 +0000

kf6-kquickcharts (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:36:19 +0000

kf6-kquickcharts (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:39:04 +0000

kf6-kquickcharts (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:34:11 +0000

kf6-kquickcharts (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:41:43 +0000

kf6-kquickcharts (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:41:41 +0000

kf6-kquickcharts (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:44:07 +0000

kf6-kquickcharts (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:32:47 +1000

kf6-kquickcharts (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:01:12 +0000

kf6-kquickcharts (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kquickcharts (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kquickcharts 6.18.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
kf6-kquickcharts (6.18.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:39 +0000

## kf6-kquickcharts 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0 NO_MODULE)
+find_package(ECM 6.19.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019,2020 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause
find_package(Qt6 COMPONENTS QuickTest)

include(ECMAddTests)

include_directories(${CMAKE_SOURCE_DIR}/src)

ecm_add_tests(
    ArraySourceTest.cpp
    MapProxySourceTest.cpp
    HistoryProxySourceTest.cpp
    ItemBuilderTest.cpp
    LINK_LIBRARIES PRIVATE Qt6::Test QuickCharts
)
if (NOT BUILD_SHARED_LIBS)
    target_link_libraries(ItemBuilderTest PRIVATE QuickChartsplugin)
    qt6_import_qml_plugins(ItemBuilderTest)
endif()

add_executable(qmltest qmltest.cpp)

target_link_libraries(qmltest PRIVATE Qt6::QuickTest QuickCharts)
if (NOT BUILD_SHARED_LIBS)
    target_link_libraries(qmltest PRIVATE QuickChartsplugin)
    qt6_import_qml_plugins(qmltest)
endif()

macro(add_qml_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND ${CMAKE_BINARY_DIR}/bin/qmltest
                         ${_extra_args}
                         -import ${CMAKE_BINARY_DIR}/bin
                         -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

add_qml_tests(
    tst_BarChart.qml
    tst_LineChart.qml
    tst_PieChart.qml
)

=== debian/changelog ===
kf6-kquickcharts (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:23 +0100

=== debian/control ===
Source: kf6-kquickcharts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.19.0~),
               libkf6declarative-dev (>= 6.19.0~),
               libkirigami-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qttest <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kquickcharts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
Rules-Requires-Root: no

Package: libquickcharts1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the core library.

Package: libquickcharts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         qml6-module-org-kde-quickcharts (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Quick Charts - development files
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the development files.

Package: libquickchartscontrols1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the controls library.

Package: qml6-module-org-kde-quickcharts
Architecture: any
Multi-Arch: same
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Quick Charts - QML module
 A QtQuick plugin providing high-performance charts (gpu-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contain the runtime QML module.

## kf6-kquickcharts 6.19.0+p24.04+vstable+git20251008.1237

=== debian/changelog ===
kf6-kquickcharts (6.19.0+p24.04+vstable+git20251008.1237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:37:20 +0000

kf6-kquickcharts (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:06:22 +0000

## kf6-kquickcharts 6.19.0+p24.04+vstable+git20251017.0457

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
@@ -28,7 +28,7 @@
 
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

=== debian/changelog ===
kf6-kquickcharts (6.19.0+p24.04+vstable+git20251017.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:57:51 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KDE_DOCS=/usr/share/qt6/doc/kde-qdoc-common-dev

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_EXAMPLES=ON

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	dh_auto_install -- install_qch_docs

## kf6-kquickcharts 6.19.0+p24.04+vstable+git20251031.0828

=== debian/changelog ===
kf6-kquickcharts (6.19.0+p24.04+vstable+git20251031.0828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:29:00 +0000

## kf6-kquickcharts 6.19.0+p24.04+vunstable+git20251008.1250

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

=== debian/changelog ===
kf6-kquickcharts (6.19.0+p24.04+vunstable+git20251008.1250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:50:19 +0000

=== debian/control ===
Source: kf6-kquickcharts
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdeclarative-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-shadertools-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/kde/kquickcharts
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kquickcharts.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kquickcharts
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kquickcharts
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6kquickcharts6, qml6-module-org-kde-quickcharts
Description: Quick Charts
 A QtQuick plugin providing high-performance charts.
 .
 This package contain the runtime qml module.

Package: kf6-kquickcharts-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-kirigami2-dev,
         kf6-kquickcharts (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-tools-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kquickcharts6-dev, libkf6kquickcharts-dev, libkf6kquickcharts-doc
Description: Quick Charts - development files
 A QtQuick plugin providing high-performance charts.
 .
 This package contains the development files.

Package: kquickcharts6-dev
Architecture: all
Depends: kf6-kquickcharts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kquickcharts6
Architecture: all
Depends: kf6-kquickcharts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: lbf6kquickcharts-dev
Architecture: all
Depends: kf6-kquickcharts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: lbf6kquickcharts-doc
Architecture: all
Depends: kf6-kquickcharts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-quickcharts
Architecture: all
Depends: kf6-kquickcharts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kquickcharts 6.19.0+p24.04+vunstable+git20251020.1047

=== debian/changelog ===
kf6-kquickcharts (6.19.0+p24.04+vunstable+git20251020.1047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:47:23 +0000

## kf6-kquickcharts 6.20.0

=== controls/CMakeLists.txt ===

add_library(QuickChartsControls)
set_target_properties(QuickChartsControls PROPERTIES
    SOVERSION ${KF6QuickCharts_SOVERSION}
    VERSION ${KF6QuickCharts_VERSION}
)

ecm_add_qml_module(QuickChartsControls URI "org.kde.quickcharts.controls" VERSION 1.0 DEPENDENCIES QtCore QtQuick org.kde.quickcharts GENERATE_PLUGIN_SOURCE)

target_sources(QuickChartsControls PRIVATE
    AxisLabels.cpp
    AxisLabels.h
    GridLines.cpp
    GridLines.h
    LegendLayout.cpp
    LegendLayout.h
    LegendModel.cpp
    LegendModel.h
    LineGridNode.cpp
    LineGridNode.h
)

set_source_files_properties(Theme.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

ecm_target_qml_sources(QuickChartsControls SOURCES
    Legend.qml
    LegendDelegate.qml
    LineChartControl.qml
    PieChartControl.qml
    Theme.qml
    KirigamiTheme.qml
)

target_link_libraries(QuickChartsControls PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
    Qt6::QuickControls2
    QuickCharts
)

ecm_finalize_qml_module(QuickChartsControls DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_generate_qdoc(QuickChartsControls kquickchartscontrols.qdocconf)

install(TARGETS QuickChartsControls ${KDE_INSTALL_DEFAULT_ARGUMENTS})

=== examples/CMakeLists.txt ===
add_subdirectory(charts)

=== debian/changelog ===
kf6-kquickcharts (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:38 +0100

=== debian/control ===
Source: kf6-kquickcharts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.20.0~),
               libkf6declarative-dev,
               libkirigami-dev,
               libxkbcommon-dev,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qttest <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git

Package: libquickcharts1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the core library.

Package: libquickcharts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         qml6-module-org-kde-quickcharts (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Description: Quick Charts - development files
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the development files.

Package: libquickchartscontrols1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (GPU-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the controls library.

Package: qml6-module-org-kde-quickcharts
Architecture: any
Multi-Arch: same
Depends: libquickcharts1 (= ${binary:Version}),
         libquickchartscontrols1 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Quick Charts - QML module
 A QtQuick plugin providing high-performance charts (gpu-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contain the runtime QML module.

## kf6-kquickcharts 6.20.0+p24.04+vstable+git20251206.0510

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -28,7 +28,7 @@
 
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2 ShaderTools)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

=== debian/changelog ===
kf6-kquickcharts (6.20.0+p24.04+vstable+git20251206.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:10:10 +0000

kf6-kquickcharts (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-kquickcharts 6.20.0+p24.04+vunstable+git20251122.0901

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.20.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kquickcharts (6.20.0+p24.04+vunstable+git20251122.0901-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 09:01:08 +0000

## kf6-kquickcharts 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kquickcharts (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:54 +0000

kf6-kquickcharts (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -10,31 +11,31 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6declarative-dev,
-               libkirigami-dev,
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6declarative-dev (>= 6.21.0~),
+               libkirigami-dev (>= 6.21.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-shadertools-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
+Rules-Requires-Root: no
 
 Package: libquickcharts1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .
@@ -56,8 +57,8 @@
 Depends: libquickcharts1 (= ${binary:Version}),
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
@@ -76,8 +77,7 @@
 Package: libquickchartscontrols1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .

## kf6-kquickcharts 6.21.0+p24.04+vstable+git20251226.0341

=== debian/changelog ===
kf6-kquickcharts (6.21.0+p24.04+vstable+git20251226.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:41:37 +0000

kf6-kquickcharts (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:12 +1000

## kf6-kquickcharts 6.21.0+p24.04+vstable+git20260103.0531

=== debian/changelog ===
kf6-kquickcharts (6.21.0+p24.04+vstable+git20260103.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:31:52 +0000

## kf6-kquickcharts 6.21.0+p24.04+vunstable+git20260104.0252

=== debian/changelog ===
kf6-kquickcharts (6.21.0+p24.04+vunstable+git20260104.0252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 02:52:11 +0000

## kf6-kquickcharts 6.22.0

=== debian/changelog ===
kf6-kquickcharts (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:06 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6declarative-dev (>= 6.21.0~),
-               libkirigami-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6declarative-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,

## kf6-kquickcharts 6.22.0+p24.04+vstable+git20260114.1107

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -34,7 +34,7 @@
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 ecm_setup_version(

=== debian/changelog ===
kf6-kquickcharts (6.22.0+p24.04+vstable+git20260114.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 11:07:39 +0000

kf6-kquickcharts (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:34 +1000

## kf6-kquickcharts 6.22.0+p24.04+vstable+git20260124.0249

=== debian/changelog ===
kf6-kquickcharts (6.22.0+p24.04+vstable+git20260124.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 02:49:53 +0000

## kf6-kquickcharts 6.22.0+p24.04+vunstable+git20260106.1155

=== debian/changelog ===
kf6-kquickcharts (6.22.0+p24.04+vunstable+git20260106.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:55:17 +0000

## kf6-kquickcharts 6.23.0

=== debian/changelog ===
kf6-kquickcharts (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,39 @@
 Source: kf6-kquickcharts
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6declarative-dev (>= 6.22.0~),
-               libkirigami-dev (>= 6.22.0~),
+               cmake (>= 3.27~),
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6declarative-dev,
+               libkirigami-dev,
                libxkbcommon-dev,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qml6-module-qttest <!nocheck>,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kquickcharts
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kquickcharts.git
 
 Package: libquickcharts1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .
@@ -57,8 +55,8 @@
 Depends: libquickcharts1 (= ${binary:Version}),
          libquickchartscontrols1 (= ${binary:Version}),
          qml6-module-org-kde-quickcharts (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
-         qt6-declarative-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
@@ -77,7 +75,8 @@
 Package: libquickchartscontrols1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (GPU-accelerated).
  .
